%Evaluation of drag for empty channel
clf;	%clean up plot-window
clear;	%clean up old variables
clc;	%clean up old plots in M-window
A_emty=(0.025*0.4+0.18*2*0.005);    %frontal area of empty channel 
A_body=0.093*0.4;                   %frontal area of generic body
Area=A_emty+A_body;                 %area of channel with body
Ro=1.225;

%empty channel TEST II 2003-10-03:   
load korning01.txt
A1=(korning01(1:15,1)); %[m/s]
A2=(korning01(1:15,2));	%[N]
for i=1:15
    Cd_A(i)=A2(i)/((0.5*Ro*Area)*A1(i).^2);
end

%empty channel TEST III 2004-03-26:
value=[20 3.2 30.2 7.9 50.4 22.6]; %empty channel
Cd_k=0.5*Ro*Area;
Cd=[3.2/(Cd_k*20^2) 7.9/(Cd_k*30.2^2) 22.6/(Cd_k*50.4^2)];
m_s=[value(1) value(3) value(5)];

hold on
plot(A1,Cd_A,'-o')
plot(m_s,Cd,'-*')
hold off
legend('Test 2003-10-03','Test 2004-03-26',0)
title('Drag for empty channel');xlabel('m/s');ylabel('Cd');
